Bug 49993 - service.bat does not check for JAVA_HOME validity
service.bat does not check for JAVA_HOME validity
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
unspecified
PC Windows NT
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-09-24 01:58 UTC by Mladen Turk
Modified: 2014-04-23 12:49 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mladen Turk 2010-09-24 01:58:56 UTC
service.bat does not check for JAVA_HOME validity.
It also does not check for JRE_HOME like catalina.bat does trough
setclasspath.bat script.

If neither the JAVA_HOME nor JRE_HOME are set we should inform the
user and then switch to auto detection mode from the registry
Comment 1 Mladen Turk 2010-09-24 02:00:31 UTC
Fixed in the trunk as r 1000718
Comment 2 Konstantin Kolinko 2014-04-13 12:07:10 UTC
> Fixed in the trunk as r1000718
That is included in 7.0.3 onwards.

Proposed backport for 6.0.x.
Comment 3 Konstantin Kolinko 2014-04-23 12:49:53 UTC
Fixed in Tomcat 6 with r1589390 , will be in 6.0.40.